--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!
-------------
-- SPANISH --
-------------
--  = \195\161 ----  = Á
--  = \195\169 ----  = \195\137
--  = \195\173 ----  = \195\141
--  = \195\179 ----  = \195\147
--  = \195\186 ----  = \195\154
--  = \195\177 ----  = \195\145
--  = \194\161 ----  = \194\191

if ( GetLocale() == "esES" ) then

	CEnemyCastBar_Afflictions = {

	-- Warning: only add Spells with the "CEnemyCastBar_SPELL_AFFLICTED" pattern here!
	-- fragile="true", if mob with the same name dies, the bar won't be removed; Multiple bars allowed and displayed even if not targetted (optional)
	-- multi="true", the bar is not removed if debuff fades earlier (usefull if one spell is allowed to produce multiple afflictions)
	-- stun="true", flags all spells which use the same Diminishing Return timer. These 8 Spells were tested to use one and the same timer.
	-- stuntype="true", forces non stun="true" CastBars to use the stun-color
	-- death="true", removes the castbar although it is a "fragile"
	-- periodicdmg="true" -> don't update and remove those castbars, only allows periodic damage done by yourself
	-- spellDR triggers a separate class DR Timer if spellDR="PlayersCLASS";
	-- affmob="true", this stun triggers a class specific DR Timer on a mob (not player), too
	-- drshare="name", all spells with the same drshare name will trigger the same DR Timer called 'name'
	-- checkclass="classname", will only show this spell to specified class
	-- tskill={talentTab, talentNumber, talentTimeBonus, talentClass, offset, relativeTimeBonus(optional) }, adds "talentTimeBonus" to the duration of this skill depending on invested skillpoints! "Offset" is additionally added to the duration if at least one talentpoint is invested.
	-- more to tskill: if "talentTimeBonus" is 0 then the relativeTimeBonus(optional) is used (percentage), needed for hunters talent
	-- plevel={durationBonusPerSkillLevel, PlayerLevelAbleToLearnNewSkillLevel (e.g. 60, 40, 20), exchangeLowestLevelWith "0" ALWAYS!} (correct examples are below)
	-- blockZone="ZoneName" blocks the spell for the specified Zone (example: blockZone="Ahn'Qiraj" for 'Entangling Roots')
	-- cpinterval=X, reduces spell duration by X for every ComboPoint lower than 5 (maximum); ALWAYS use with cpclass="CHARACTERCLASS"!
	-- norenew=true won't update or trigger a castbar for this spell on "UNIT_SPELLCAST_SUCCEEDED"
	-- flying=true will add some time to the renew buff/debuff miss/resist system depending on the distance to the target (flying spells need from 0,2 to 1,4 seconds to hit their target and return a message)
	-- notdetected=true, use for spells not detected by combatlog messages ONLY! Will trigger a bar only for the player who casted it.
	-- spellbreaker=true indicates that this bar shall only be triggered if a spell interruption of your target has been detected
	-- cando="CLASS", will apply a green shadow to normal Debuffs that are castable by the player's class.
	-- rankmod={durationMalusPerRank, rankhigh, ranklower, ranklowest...}, reduces spell duration by rank used, example: "Frostbolt"
	-- callspell={SpellName, talentTab, talentNumber, checkValue}, the update feature will use this spell instead and in case this is used with a spell that triggers its own bar, this will trigger a 'callspell' bar simultaniously after resist/miss checks! :D
	-- pvpdur=X, when used versus other Players the duration X is used!

	-- Naturfreund | Warrior Afflictions
		["Provocar"] = {t=3.0, cando="WARRIOR", multi="true", icontex="Spell_Nature_Reincarnation"};
		["Falsa arremetida"] = {t=6.0, cando="WARRIOR", multi="true", icontex="Ability_Warrior_PunishingBlow"};
		["Grito desafiante"] = {t=6, cando="WARRIOR", multi="true", icontex="Ability_BullRush"};
		["Seccionar"] = {t=15.0, pvpdur=10, cando="WARRIOR", icontex="Ability_ShockWave"};
		["Seccionar mejorado"] = {t=5.0, cando="WARRIOR", icontex="Ability_ShockWave"};
		["Aullido perforador"] = {t=6.0, cando="WARRIOR", icontex="Spell_Shadow_DeathScream"};
		["Azote de escudo: silenciado"] = {t=4, cando="WARRIOR", solo="true", icontex="Ability_Warrior_ShieldBash"};
		["Arremetida de conmoción"] = {t=5, solo="true", stun="true", icontex="Ability_ThunderBolt"};
		["Carga aturdidora"] = {t=1, solo="true", stun="true", icontex="Ability_Warrior_Charge"};
		["Aturdimiento de intercepción"] = {t=3, solo="true", stun="true", icontex="Ability_Rogue_Sprint"};
		["Aturdimiento de revancha"] = {t=3, solo="true", stuntype="true", icontex="Ability_Warrior_Revenge"};
		["Grito intimidador"] = {t=8, cando="WARRIOR", solo="true", icontex="Ability_GolemThunderClap"};
		["Desarmar"] = {t=10, cando="WARRIOR", spellDR="WARRIOR", solo="true", icontex="Ability_Warrior_Disarm"};
		["Golpe mortal"] = {t=10, cando="WARRIOR", solo="true", icontex="Ability_Warrior_SavageBlow"};
		["Efecto aturdidor de mazas"] = {t=3, solo="true", stuntype="true", icontex="Spell_Frost_Stun"};
		["Grito desmoralizador"] = {t=30, cando="WARRIOR", tskill={2, 1, 0, "WARRIOR", 0, 0.10}, checkclass="WARRIOR", icontex="Ability_Warrior_WarCry"};
		["Atronar"] = {t=30, cando="WARRIOR", checkclass="WARRIOR", icontex="Spell_Nature_ThunderClap"};
		["Hender armadura"] = {t=30, cando="WARRIOR", checkclass="WARRIOR", icontex="Ability_Warrior_Sunder"};
		["Devastar"] = {callspell={"Sunder Armor"}};
	-- periodic damage spells
		["Desgarrar"] = {t=21, rankmod={3, 5, 4, 3, 2, 1}, periodicdmg="true", icontex="Ability_Gouge"};
		["Heridas profundas"] = {t=12, periodicdmg="true", icontex="Ability_BackStab"};
	-- not detected by combat log
		["Azote de escudo"] = {t=6, cando="WARRIOR", notdetected=true, spellbreaker=true, icontex="Ability_Warrior_ShieldBash"};
		["Zurrar"] = {t=4, cando="WARRIOR", notdetected=true, spellbreaker=true, icontex="INV_Gauntlets_04"};

	-- Naturfreund | Mage Afflictions
		["Ola explosiva"] = {t=6.0, solo="true", stuntype="true", icontex="Spell_Holy_Excorcism_02"};
		["Aliento de dragón"] = {t=3.0, solo="true", stuntype="true", icontex="INV_Misc_Head_Dragon_01"};
		["Ralentizar"] = {t=15.0, icontex="Spell_Nature_Slow"};
		["Explosión Arcana"] = {t=8, cando="MAGE", magecold="true", icontex="Spell_Arcane_Blast"};
		["Nova de Escarcha"] = {t=8.0, cando="MAGE", magecold="true", icontex="Spell_Frost_FrostNova"};
		["Congelar"] = {t=8.0, cando="MAGE", magecold="true", icontex="Spell_Frost_FrostNova"};
		["Mordedura de Escarcha"] = {t=5.0, cando="MAGE", magecold="true", icontex="Spell_Frost_FrostArmor"};
		["Gélido"] = {t=5.0, tskill={3, 7, 1, "MAGE", 0}, cando="MAGE", magecold="true", icontex="Spell_Frost_FrostArmor02"};
		["Cono de frío"] = {t=8.0, cando="MAGE", magecold="true", tskill={3, 7, 1, "MAGE", 0}, icontex="Spell_Frost_Glacier"};
		["Descarga de Escarcha"] = {t=9, cando="MAGE", magecold="true", flying=true, rankmod={1, 8, 6, 4, 2, 1}, plevel={1, 44, 32, 20, 4, 0}, tskill={3, 7, 1, "MAGE", 0}, icontex="Spell_Frost_FrostBolt02"};
		["Escalofrío invernal"] = {t=15, cando="MAGE", magecold="true", icontex="Spell_Frost_ChillingBlast"};
		["Vulnerabilidad de Fuego"] = {t=30, cando="MAGE", magecold="true", icontex="Spell_Fire_SoulBurn"};
		["Agostar"] = {callspell={"Fire Vulnerability", 2, 10, 3} }; -- tskill exception, [3] has to be matched by talent points, otherwise does not update
		["Polimorfia"] = {t=50, cando="MAGE", rankmod={10, 4, 3, 2, 1}, plevel={10, 60, 40, 20, 0}, fragile="true", drshare="Polymorph", spellDR="MAGE", icontex="Spell_Nature_Polymorph"};
		["Polimorfia: cerdo"] = {t=50, cando="MAGE", fragile="true", drshare="Polymorph", spellDR="MAGE", icontex="Spell_Magic_PolymorphPig"};
		["Polimorfia: tortuga"] = {t=50, cando="MAGE", fragile="true", drshare="Polymorph", spellDR="MAGE", icontex="Ability_Hunter_Pet_Turtle"};
		["Impacto"] = {t=2, solo="true", stuntype="true", icontex="Spell_Fire_MeteorStorm"};
		["Contrahechizo: silenciado"] = {t=4, cando="MAGE", solo="true", icontex="Spell_Frost_IceShock"};
	-- periodic damage spells
		["Fogonazo"] = {t=8, periodicdmg="true", icontex="Spell_Fire_SelfDestruct"};
		["Bola de Fuego"] = {t=8, periodicdmg="true", rankmod={2, 4, 2, 1}, icontex="Spell_Fire_FlameBolt"};
		["Piroexplosión"] = {t=12, periodicdmg="true", icontex="Spell_Fire_Fireball02"};
	-- not detected by combat log
		["Contrahechizo"] = {t=8, cando="MAGE", notdetected=true, spellbreaker=true, icontex="Spell_Frost_IceShock"};

	-- Naturfreund | Hunter Afflictions
		["Cortar alas"] = {t=10, cando="HUNTER", icontex="Ability_Rogue_Trip"};
		["Cortar alas mejorado"] = {t=5.0, cando="HUNTER", icontex="Ability_Rogue_Trip"};
		["Incitación"] = {t=4, cando="HUNTER", icontex="Spell_Nature_StrangleVines"}; --proc
		["Contraataque"] = {t=5, cando="HUNTER", icontex="Ability_Warrior_Challange"};
		["Disparo de conmoción mejorado"] = {t=3, solo="true", stuntype="true", icontex="Spell_Frost_Stun"};
		["Efecto de Trampa congelante"] = {t=20.0, cando="HUNTER", plevel={5, 60, 40, 0}, tskill={3, 8, 0, "HUNTER", 0, 0.15}, fragile="true", spellDR="HUNTER", icontex="Spell_Frost_ChainsOfIce"};
		["Exponer debilidad"] = {t=7.0, cando="HUNTER", checkclass="HUNTER", icontex="Ability_Hunter_SniperShot"};
		["Disparo de conmoción"] = {t=4, cando="HUNTER", flying=true, icontex="Spell_Frost_Stun"}; 
		["Picadura de víbora"] = {t=8, cando="HUNTER", flying=true, checkclass="HUNTER", icontex="Ability_Hunter_AimedShot"};
		["Contraataque"] = {t=5, cando="HUNTER", icontex="Ability_Warrior_Challange"};
		["Picadura de escórpido"] = {t=20, cando="HUNTER", flying=true, checkclass="HUNTER", icontex="Ability_Hunter_CriticalShot"};
		["Marca del cazador"] = {t=120, cando="HUNTER", checkclass="HUNTER", icontex="Ability_Hunter_SniperShot"};
		["Tromba de conmoci\195\179n"] = {t=4, cando="HUNTER", checkclass="HUNTER", icontex="Spell_Frost_Stun"};
		["Disparo de punter\195\173a"] = {t=10, cando="HUNTER", checkclass="HUNTER", icontex="INV_Spear_07"};
		["Intimidación"] = {t=3, cando="HUNTER", solo="true", stuntype="true", icontex="Ability_Devour"};
		["Asustar bestia"] = {t=20, cando="HUNTER", solo="true", pvpdur=10, rankmod={5, 3, 2, 1}, plevel={5, 46, 30, 14, 0}, icontex="Ability_Druid_Cower"};
		["Picadura de dracoleón"] = {t=12, cando="HUNTER", pvpdur=10, flying=true, solo="true", icontex="INV_Spear_02"};
		["Disparo de dispersión"] = {t=4.0, cando="HUNTER", flying=true, solo="true", icontex="Ability_GolemStormBolt"}; 
		["Disparo silenciador"] = {t=3, cando="HUNTER", flying=true, solo="true", icontex="Ability_TheBlackArrow"};
	-- periodic damage spells
		["Picadura de serpiente"] = {t=15, flying=true, periodicdmg="true", icontex="Ability_Hunter_Quickshot"};
		["Efecto de Trampa de inmolación"] = {t=15, periodicdmg="true", icontex="Spell_Fire_FlameShock"};
		["Efecto de Trampa explosiva"] = {t=20, periodicdmg="true", icontex="Spell_Fire_SelfDestruct"};

	-- Naturfreund | Priest Afflictions
		["Vulnerabilidad de las Sombras"] = {t=15, cando="PRIEST", magecold="true", icontex="Spell_Shadow_BlackPlague"};
		["Calma mental"] = {t=15, cando="PRIEST", fragile="true", icontex="Spell_Holy_MindSooth"};
		["Encadenar no-muerto"] = {t=50, cando="PRIEST", rankmod={10, 3, 2, 1}, plevel={10, 60, 40, 0}, fragile="true", spellDR="PRIEST", icontex="Spell_Nature_Slow"};
		["Control mental"] = {t=60, cando="PRIEST", fragile="true", spellDR="PRIEST", icontex="Spell_Shadow_ShadowWordDominate"};
		["Explosión mental"] = {callspell={"Shadow Vulnerability", 3, 11, 5} }; -- tskill exception, [4] has to be matched by talent points, otherwise does not update
		["Tortura mental"] = {callspell={"Shadow Vulnerability", 3, 11, 5} };
		["Palabra de las Sombras: muerte"] = {callspell={"Shadow Vulnerability", 3, 11, 5} }; 
		["Alarido psíquico"] = {t=8, cando="PRIEST", solo="true", icontex="Spell_Shadow_PsychicScream"};
		["Silencio"] = {t=5, cando="PRIEST", solo="true", icontex="Spell_Shadow_ImpPhaseShift"};
			["Desmayo"] = {t=3, solo="true", stuntype="true", icontex="Spell_Shadow_GatherShadows"};
			["Castigar"] = {t=2, solo="true", stuntype="true", icontex="Spell_Holy_Chastise"};
	-- periodic damage spells
		["Palabra de las Sombras: dolor"] = {t=18, {callspell={"Shadow Vulnerability", 3, 11, 5} }, tskill={3, 4, 3, "PRIEST", 0}, periodicdmg="true", icontex="Spell_Shadow_ShadowWordPain"};
		["Peste devoradora"] = {t=24, {callspell={"Shadow Vulnerability", 3, 11, 5} }, periodicdmg="true", icontex="Spell_Shadow_BlackPlague"};
		["Fuego Sagrado"] = {t=10, periodicdmg="true", directhit="true", icontex="Spell_Holy_SearingLight"};
		["Toque vampírico"] = {t=15, {callspell={"Shadow Vulnerability", 3, 11, 5} }, periodicdmg="true", icontex="Spell_Holy_Stoicism"};
		["Abrazo vampírico"] = {t=60, periodicdmg="true", icontex="Spell_Shadow_UnsummonBuilding"};
				["Fragmentos de estrella"] = {t=15, periodicdmg="true", icontex="Spell_Arcane_StarFire"};

	-- Naturfreund | Warlock Afflictions
		["Secuelas"] = {t=5.0, cando="WARLOCK", icontex="Spell_Fire_Fire"};
		["Furia de las Sombras"] = {t=2, solo="true", stun="true", icontex="Spell_Shadow_Shadowfury"};
		["Piroclasma"] = {t=3, solo="true", stuntype="true", icontex="Spell_Fire_Volcano"};
		["Desterrar"] = {t=30, rankmod={10, 2, 1}, plevel={10, 48, 0}, cando="WARLOCK", fragile="true", spellDR="WARLOCK", icontex="Spell_Shadow_Cripple"};
		["Esclavizar demonio"] = {t=300, cando="WARLOCK", checkclass="WARLOCK", fragile="true", icontex="Spell_Shadow_EnslaveDemon"};
		["Aullido de terror"] = {t=6.0, solo="true", cando="WARLOCK", icontex="Spell_Shadow_DeathScream"};
		["Espiral de la muerte"] = {t=3.0, solo="true", cando="WARLOCK", icontex="Spell_Shadow_DeathCoil"};
	-- Succubus
		["Seducción"] = {t=15, cando="WARLOCK", tskill={2, 7, 0, "WARLOCK", 0, 0.10}, fragile="true", spellDR="WARLOCK", drshare="Sed., Fear", icontex="Spell_Shadow_MindSteal"};
		["Miedo"] = {t=20, cando="WARLOCK", fragile="true", death="true", rankmod={5, 3, 2, 1}, spellDR="WARLOCK", drshare="Sed., Fear", icontex="Spell_Shadow_Possession"};
	-- periodic damage spells
		["Maldición de agotamiento"] = {t=12, periodicdmg="true", curse=true, icontex="Spell_Shadow_GrimWard"};
		["Maldición de las lenguas"] = {t=30, pvpdur=12, periodicdmg="true", curse=true, icontex="Spell_Shadow_CurseOfTounges"};
		["Maldición del Apocalipsis"] = {t=60, periodicdmg="true", curse=true, icontex="Spell_Shadow_AuraOfDarkness"};
		["Maldición de debilidad"] = {t=120, periodicdmg="true", curse=true, icontex="Spell_Shadow_CurseOfMannoroth"};
		["Maldición de temeridad"] = {t=120, periodicdmg="true", curse=true, icontex="Spell_Shadow_UnholyStrength"};
		["Maldición de los Elementos"] = {t=300, pvpdur=120, periodicdmg="true", curse=true, icontex="Spell_Shadow_ChillTouch"};
		["Maldición de las Sombras"] = {t=300, pvpdur=120, periodicdmg="true", curse=true, icontex="Spell_Shadow_CurseOfAchimonde"};
		["Maldición de agonía"] = {t=24, periodicdmg="true", curse=true, icontex="Spell_Shadow_CurseOfSargeras"};
		["Corrupción"] = {t=18, periodicdmg="true", plevel={3, 24, 14, 0}, icontex="Spell_Shadow_AbominationExplosion"};
		["Inmolar"] = {t=15, periodicdmg="true", directhit="true", icontex="Spell_Fire_Immolation"};
		["Succionar vida"] = {t=30, periodicdmg="true", icontex="Spell_Shadow_Requiem"};
		["Semilla de corrupción"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_SeedOfDestruction"};
		["Aflicción inestable"] = {t=18, periodicdmg="true", icontex="Spell_Shadow_UnstableAffliction_3"};
		["Quemadura de las Sombras"] = {t=5, periodicdmg="true", icontex="Spell_Shadow_ScourgeBuild"}; -- special case

	-- Naturfreund | Rogue Afflictions
		["Veneno entorpecedor"] = {t=12, cando="ROGUE", icontex="Ability_PoisonSting"};
		["Lanzamiento mortal"] = {t=5.0, cando="ROGUE", icontex="INV_ThrowingKnife_06"};
		["Porrazo"] = {t=45, cando="ROGUE", rankmod={10, 3, 2, 1}, plevel={10, 48, 28, 0}, fragile="true", spellDR="ROGUE", drshare="Sap, Gouge", icontex="Ability_Sap"};
		["Golpe en los riñones"] = {t=6, cpinterval=1, cpclass="ROGUE", rankmod={1, 2, 1}, solo="true", stuntype="true", spellDR="ROGUE", affmob="true", icontex="Ability_Rogue_KidneyShot"}; -- own DR
		["Golpe bajo"] = {t=4, solo="true", stun="true", icontex="Ability_CheapShot"}; 
		["Gubia"] = {t=4, tskill={2, 1, 0.5, "ROGUE", 0}, solo="true", stuntype="true", spellDR="ROGUE", drshare="Sap, Gouge", icontex="Ability_Gouge"}; -- normal 4sec impr. 5.5sec (no DR)
		["Ceguera"] = {t=8, cando="ROGUE", solo="true", spellDR="ROGUE", icontex="Spell_Shadow_MindSteal"};
		["Patada: silenciado"] = {t=2, cando="ROGUE", solo="true", icontex="Ability_Kick"};
		["Contestación"] = {t=6, cando="ROGUE", solo="true", icontex="Ability_Warrior_Disarm"};
		["Garrote - Silencio"] = {t=3, cando="ROGUE", solo="true", icontex="Spell_Shadow_ImpPhaseShift"};
		["Exponer armadura"] = { t=30.0, cando="ROGUE", checkclass="ROGUE", icontex="Ability_Warrior_Riposte" };
		["Veneno de aturdimiento mental"] = {t=14, cando="ROGUE", checkclass="ROGUE", icontex="Spell_Nature_NullifyDisease"};
		["Veneno hiriente"] = {t=15, cando="ROGUE", checkclass="ROGUE", icontex="INV_Misc_Herb_16"};
		["Hemorragia"] = {t=15, cando="ROGUE", checkclass="ROGUE", icontex="Spell_Shadow_LifeDrain"};
	-- periodic damage spells
		["Garrote"] = {t=18, periodicdmg="true", icontex="Ability_Rogue_Garrote"};
		["Ruptura"] = {t=16, cpinterval=2, cpclass="ROGUE", periodicdmg="true", icontex="Ability_Rogue_Rupture"};
		["Veneno mortal"] = {t=12, periodicdmg="true", icontex="Ability_Rogue_DualWeild"};
	-- not detected by combat log
		["Distraer"] = {t=10, cando="ROGUE", notdetected=true, icontex="Ability_Rogue_Distract"};
		["Patada"] = {t=5, cando="ROGUE", notdetected=true, spellbreaker=true, icontex="Ability_Kick"};

	-- Naturfreund | Druid Afflictions
		["Bramido"] = {t=3, cando="DRUID", multi="true", icontex="Ability_Physical_Taunt"};
		["Rugido desafiante"] = {t=6, cando="DRUID", multi="true", icontex="Ability_Druid_ChallangingRoar"};
		["Ciclón"] = {t=6, cando="DRUID", spellDR="DRUID", affmob="true", icontex="Spell_Nature_EarthBind"};
		["Amputar"] = {t=6, cpinterval=1, cpclass="DRUID", spellDR="DRUID", solo="true", stuntype="true", icontex="Ability_Druid_Mangle"};
		["Raíces enredadoras"] = {t=27, cando="DRUID", rankmod={3, 6, 5, 4, 3, 2, 1}, fragile="true", death="true", blockZone="Ahn'Qiraj", spellDR="DRUID", icontex="Spell_Nature_StrangleVines"};
		["Hibernar"] = {t=40, cando="DRUID", rankmod={3, 3, 2, 1}, plevel={10, 58, 38, 0}, fragile="true", spellDR="DRUID", icontex="Spell_Nature_Sleep"};
		["Azote"] = {t=4, tskill={2, 4, 0.5, "DRUID", 0}, plevel={1, 46, 30, 0}, solo="true", stun="true", icontex="Ability_Druid_Bash"};
		["Abalanzarse"] = {t=3, tskill={2, 4, 0.5, "DRUID", 0}, solo="true", stun="true", icontex="Ability_Druid_SupriseAttack"};
		["Efecto de Carga feral"] = {t=4, cando="DRUID", solo="true", icontex="Ability_Hunter_Pet_Bear"};
		["Fuego feérico"] = {t=40, cando="DRUID", checkclass="DRUID", icontex="Spell_Nature_FaerieFire"};
		["Rugido desmoralizador"] = {t=30, cando="DRUID", checkclass="DRUID", icontex="Ability_Druid_DemoralizingRoar"};
		["Destrozar"] =	{t=12, cando="DRUID", checkclass="DRUID", icontex="Ability_Druid_Mangle2"};
		["Lacerar"] = {t=15, cando="DRUID", checkclass="DRUID", icontex="Ability_Druid_Lacerate"};
		["Calmar animal"] = {t=15, cando="DRUID", icontex="Ability_Hunter_BeastSoothe"};
		["Aturdimiento de fuego estelar"] = {t=3, solo="true", stuntype="true", icontex="Spell_Arcane_StarFire"};
			-- periodic damage spells
				["Enjambre de insectos"] = {t=12, periodicdmg="true", icontex="Spell_Nature_InsectSwarm"};
				["Fuego lunar"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Nature_StarFall"};
				["Destripar"] = {t=12, periodicdmg="true", icontex="Ability_GhoulFrenzy"};
				["Arañazo"] = {t=9, periodicdmg="true", icontex="Ability_Druid_Disembowel"};
				["Hemorragia de abalanzarse"] = {t=18, periodicdmg="true", icontex="Ability_Druid_SupriseAttack"};

	-- Naturfreund | Paladin Afflictions
		["Ahuyentar a no-muerto"] = {t=20, rankmod={5, 3, 2, 1}, plevel={5, 52, 38, 0}, cando="PALADIN", solo="true", icontex="Spell_Holy_TurnUndead"};
		["Martillo de justicia"] = {t=6, rankmod={1, 4, 3, 2, 1}, solo="true", stun="true", icontex="Spell_Holy_SealOfMight"};
		["Arrepentimiento"] = {t=6, cando="PALADIN", solo="true", icontex="Spell_Holy_PrayerOfHealing"};
		["Defensa justa"] = {t=3.0, cando="PALADIN", multi="true", icontex="INV_Shoulder_37"};
		["Venganza"] = {t=15, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Nature_Purge"};
		["Vindicación"] = {t=10, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Holy_Vindication"};
		["Sentencia de Luz"] = {t=20, judgement=true, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Holy_HealingAura"};
		["Sentencia de sabiduría"] = {t=20, judgement=true, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Holy_RighteousnessAura"};
		["Sentencia del cruzado"] = {t=20, judgement=true, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Holy_HolySmite"};
		["Sentencia de justicia"] = {t=20, judgement=true, cando="PALADIN", checkclass="PALADIN", icontex="Spell_Holy_SealOfWrath"};
		["Golpe de cruzado"] = {t=0, crustrike=true, notdetected=true, global=true, cando="PALADIN", checkclass="PALADIN",  icontex=""};
			-- periodic damage spells
				["Consagración"] = {t=8, periodicdmg="true", icontex="Spell_Holy_InnerFire"};
				["Venganza Sagrada"] = {t=15, periodicdmg="true", icontex="Spell_Holy_SealOfVengeance"};

	-- Naturfreund | Shaman Afflictions
		["Choque de Escarcha"] = {t=8.0, cando="SHAMAN", magecold="true", spellDR="SHAMAN", icontex="Spell_Frost_FrostShock"};
		["Golpe de tormenta"] = {t=12, cando="SHAMAN", magecold="true", icontex="Spell_Holy_SealOfMight"};
			-- periodic damage spells
				["Choque de llamas"] = {t=12, periodicdmg="true", directhit="true", icontex="Spell_Fire_FlameShock"};
			-- not detected by combat log
				["Choque de tierra"] = {t=2, cando="SHAMAN", notdetected=true, spellbreaker=true, icontex="Spell_Nature_EarthShock"};

	-- Naturfreund | Other Afflictions
		["Pisotón de guerra"] = {t=2, solo="true", stun="true", icontex="Ability_WarStomp"};
		["Torrente Arcano"] = {t=2, solo="true", icontex="Spell_Shadow_Teleport"};
		["Talismán de la marea"] = {t=3, solo="true", stuntype="true", icontex="INV_Misc_Rune_01"};
		["Atontado"] = {t=6, icontex="Spell_Frost_Stun"};


	-- Naturfreund | Raidencounter Afflictions
	-- gobal="true" creates a castbar even without a target!
	-- have been moved into PvE section!

	-- REMOVALS
	-- just to remove the bar if this spell fades (t is useless here) | only the spells in "CEnemyCastBar_Afflictions" are checked by the "fade-engine"

	-- Other
		["Frenesí"] = {t=0, global="true"};
		[CECB_SPELL_STUN_DR] = {t=0}; -- don't translate, used internally! clear the dimishing return timer if mob dies


	}

end