--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!
-------------
-- SPANISH --
-------------
--  = \195\161 ----  = Á
--  = \195\169 ----  = \195\137
--  = \195\173 ----  = \195\141
--  = \195\179 ----  = \195\147
--  = \195\186 ----  = \195\154
--  = \195\177 ----  = \195\145
--  = \194\161 ----  = \194\191


if ( GetLocale() == "esES" ) then

	-- specials => need to be defined so by the "special=true" flag or won't be parsed any longer!
	NECB_Victory_Rush 		= "Ataque de la victoria";

	CEnemyCastBar_Spells = {

		-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
		-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
		-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain. (Even prevents CD if it's a gain.)
		-- "i=x" shows a bar of x seconds additional to "t" (everytime)
		-- HoT=true, spell stacks of HoTs will be counted; spell is able to be updated by player casts on target
		-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
		-- icasted=true, used for instant casts ("Player xy casts spell.")
		-- cgain=true, are able to be updated by player casts on target (HoT=true and cgain=true are beeing treated the same by the update feature.)
		-- swarn=true, will play a sound warning if this bar appears
		-- callspell={"SpellName", talentTab, talentNumber, checkValue}. Only processed in clients local system (keypress): If invested talent points == checkValue bar will update "SpellName" (current example 'Healing Wave'); Target spell must have "cgain=true" to be updated!
		-- special=true, calls a bar if casted by yourself! => special="getbuff" additionally gathers correct Buff duration from buff slot!
		-- nofade=true, will be skipped by the 'fade' routine -> bar won't be deleted on fade detect (lifebloom, problem with stacks otherwise)
		-- cdclass="CLASS", only triggers a cooldown for the specified CLASS
		-- heal=true, flags this cast to be a heal -> allows to only display these spells when healing cast filter enabled


		-- All Classes
			-- General
		["Piedra de hogar"] = 						{t=10.0, icontex="INV_Misc_Rune_01"};

			-- Trinkets & Racials
		["Armadura quebradiza"] =		 			{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Poder inestable"] = 						{t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
		["Fortaleza agitada"] =			 			{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Poder ef\195\173mero"] = 					{t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
		["Poder Arcano"] = 							{t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
		["Destrucci\195\179n monumental"] =	 		{t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
		["Potencia Arcana"] = 						{t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
		["Escudo energizado"] =		 				{t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
		["Luz luminosa"] =	 						{t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
		["Voluntad de los Renegados"] =				{t=5.0, d=120, swarn=true, icontex="Spell_Shadow_RaiseDead"}; -- gain
		["Percepci\195\179n"] = 					{t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
		["Desenvoltura mental Mar'li"] =			{t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
		["Pisot\195\179n de guerra"] = 				{t=0.5, d=120, icontex="Ability_WarStomp"};
		["Forma de piedra"] = 						{t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};
		["Rabiar"] = 								{t=10, d=180, icontex="Racial_Troll_Berserk"};

		["Golpe de tierra"] = 						{t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
		["Ofrenda de vida"] = 						{t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
		["Naturaleza alineada"] = 					{t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

		["Ofrenda de los Naaru"] = 					{t=1.5, g=15.0, HoT=true, heal=true, icontex="Spell_Holy_HolyProtection"}; -- BC HoT Draenei

			-- Engineering
		["Reflector de Escarcha"] = 				{t=5.0, d=300.0, swarn=true, icontex="Spell_Frost_FrostWard"}; -- gain
		["Reflector de las Sombras"] =				{t=5.0, d=300.0, swarn=true, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Reflector de Fuego"] = 					{t=5.0, d=300.0, swarn=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		
			-- First Aid
		["Primeros auxilios"] = 					{t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain

		
		-- Druid
		["Toque de sanaci\195\179n"] = 				{t=3.0, heal=true, icontex="Spell_Nature_HealingTouch"};
		["Recrecimiento"] = 						{t=2.0, g=21.0, HoT=true, heal=true, icontex="Spell_Nature_ResistNature"};
		["Renacer"] = 								{d=1200, icasted=true, icontex="Spell_Nature_Reincarnation"};
		["Fuego estelar"] = 						{t=3.0, icontex="Spell_Arcane_StarFire"};
		["C\195\179lera"] = 						{t=1.5, icontex="Spell_Nature_AbolishMagic"};
		["Ra\195\173ces enredadoras"] =			 	{t=1.5, icontex="Spell_Nature_StrangleVines"};
		["Carrerilla"] = 							{t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
		["Hibernar"] = 								{t=1.5, icontex="Spell_Nature_Sleep"};
		["Calmar animal"] = 						{t=1.5, icontex="Ability_Hunter_BeastSoothe"};
		["Piel de corteza"] = 						{t=12.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["Estimular"] = 							{t=20.0, cgain=true, icontex="Spell_Nature_Lightning"}; -- gain
		["Teletransporte a: Claro de la Luna"] = 	{t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
		["Furia del tigre"] = 						{t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
		["Regeneraci\195\179n fren\195\169tica"] = 	{t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
		["Rejuvenecimiento"] = 						{t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
		["Suprimir veneno"] = 						{t=8.0, cgain=true, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
		["Tranquilidad"] = 							{t=8.0, icontex="Spell_Nature_Tranquility"};
		["Trabaz\195\179n con la Naturaleza"] = 	{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
		["Hurac\195\161n"] = 						{t=1.5, icontex="Spell_Nature_EarthBind"};
		["Flor de vida"] = 							{t=7, cgain=true, nofade=true, icontex="INV_Misc_Herb_Felblossom"}; -- gain
		["Fuerza de la Naturaleza"] = 					{t=30, d=180, icasted=true, special=true, icontex="Ability_Druid_ForceofNature"}; -- gain
		["Presteza de la Naturaleza"] =				{d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain

		
		-- Hunter
		--perform ["Disparo de punter\195\173a"] = 			{t=3.0, d=6.0, icontex="INV_Spear_07"};
		["Asustar bestia"] = 						{t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
		["Salva"] =				 					{t=6.0, d=60.0, icontex="Ability_Marksmanship"};
		["Retirar mascota"] = 						{t=5.0, icontex="Spell_Nature_SpiritWolf"};
		["Revivir mascota"] = 						{t=10.0, icontex="Ability_Hunter_BeastSoothe"};
		["Ojos de la bestia"] =						{t=2.0, icontex="Ability_EyeOfTheOwl"};
		["Fuego r\195\161pido"] = 					{t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
		["Disuasi\195\179n"] = 						{t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
		["Multidisparo"] = 							{d=10.0, icontex="Ability_UpgradeMoonGlaive"};
		["C\195\179lera de las bestias"] = 			{t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
		["Bestia interna"] =						{t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent
		["Disposici\195\179n"] = 					{d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent
		["Aliviar mascota"] = 						{t=15, special="pet", icontex="Ability_Hunter_MendPet"}; -- pet gain
		["Alimentar mascota"] = 				{t=20, special="pet", icontex="Ability_Hunter_BeastTraining"}; -- pet gain
		--perform ["Tiro firme"] = 					{t=1, icontex="Ability_Hunter_SteadyShot"};
		["Redirecci\195\179n"] = 		{t=30, d=120, cdclass="HUNTER", icontex="Ability_Hunter_Misdirection"};

		
		-- Mage
		["Descarga de Escarcha"] = 					{t=2.5, icontex="Spell_Frost_FrostBolt02"};
		["Bola de Fuego"] = 						{t=3.0, icontex="Spell_Fire_FlameBolt"};
		["Polimorfia"] = 	 						{t=1.5, icontex="Spell_Nature_Polymorph"};
		["Polimorfia: cerdo"] =  					{t=1.5, icontex="Spell_Magic_PolymorphPig"};
		["Polimorfia: tortuga"] = 					{t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
		["Piroexplosi\195\179n"] = 		 			{t=6.0, icontex="Spell_Fire_Fireball02"};
		["Agostar"] =			 					{t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Fogonazo"] = 		 						{t=3.0, r="Death Talon Hatcher", a=2.5, icontex="Spell_Fire_SelfDestruct"};
		["Ca\195\173da lenta"] = 	 				{t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
		["Resguardo contra el Fuego"] = 			{t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
		["Resguardo contra la Escarcha"] = 			{t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["Evocaci\195\179n"] = 		 				{t=8.0, d=480, icontex="Spell_Nature_Purge"}; -- gain
		["Bloque de hielo"] = 		 				{t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
		["Barrera de hielo"] = 		 				{d=30.0, icontex="Spell_Ice_Lament"};
		["Traslaci\195\179n"] = 			 		{d=15.0, icontex="Spell_Arcane_Blink"};
		["Invisibilidad"] = 		 				{t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain
		["Descarga de agua"] = 		 				{t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell)
		["Explosi\195\179n Arcana"] = 		 		{t=2.5, icontex="Spell_Arcane_Blast"};
		["Invocar a elemental de agua"] = 	 					{t=45, d=180, icasted=true, special=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent
		["Mordedura de fr\195\173o"] = 				{d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
		["Presencia mental"] = 	 					{d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
		["Combusti\195\179n"] = 		 			{d=180, icontex="Spell_Fire_SealOfFire"}; -- gain
		["Velocidad llameante"] = 	 				{t=8, icontex="Spell_Fire_BurningSpeed"}; -- gain
		["Icy Veins"] = {t=20, d=180, icontex="Spell_Frost_ColdHearted"}; -- gain, p. 2_3_2 --! translate

		
		-- Paladin
		["Luz Sagrada"] = 							{t=2.5, heal=true, icontex="Spell_Holy_HolyBolt"};
		["Destello de Luz"] = 						{t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
		["Invocar a gara\195\177\195\179n"] = 		{t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
		["Invocar a caballo de guerra"] =			{t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
		["Martillo de c\195\179lera"] =	 			{t=0.5, d=5.5, icontex="Ability_ThunderClap"};
		["C\195\179lera Sagrada"] = 				{t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
		["Ahuyentar a no-muerto"] = 				{t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
		["Redenci\195\179n"] = 						{t=10.0, icontex="Spell_Holy_Resurrection"};
		["Protecci\195\179n divina"] =				{t=8.0, d=300.0, swarn=true, icontex="Spell_Holy_Restoration"}; -- gain
		["Escudo divino"] = 						{t=12.0, d=300.0, swarn=true, icontex="Spell_Holy_DivineIntervention"}; -- gain
		["Bendici\195\179n de libertad"] = 			{t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
		["Bendici\195\179n de protecci\195\179n"] = {t=10.0, d=60, swarn=true, icontex="Spell_Holy_SealOfProtection"}; -- gain
		["Bendici\195\179n de sacrificio"] =	 	{t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
		["Venganza"] = 								{t=30, icontex="Ability_Racial_Avatar"}; -- gain, Talent
		["C\195\179lera vengativa"] =	 			{t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain
		["Iluminaci\195\179n divina"] =	 			{t=15, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent
		["Escudo de vengador"] = 					{t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent
		["Favor divino"] = 							{d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent
		["Escudo Sagrado"] =	 					{t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
		["Choque Sagrado"] = 						{d=15, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain
		["Sello de venganza"] = 					{t=30, icontex="Spell_Holy_SealOfVengeance"}; -- gain

	
		-- Priest
		["Sanaci\195\179n superior"] = 				{t=2.5, g=15, HoT=true, heal=true, icontex="Spell_Holy_GreaterHeal"};
		["Sanar"] = 								{t=2.5, heal=true, icontex="Spell_Holy_Heal"};
		["Sanaci\195\179n rel\195\161mpago"] = 		{t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
		["Resurrecci\195\179n"] = 					{t=10.0, icontex="Spell_Holy_Resurrection"};
		["Fusta"] = 								{t=2.0, icontex="Spell_Holy_HolySmite"};
		["Explosi\195\179n mental"] = 				{t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
		["Control mental"] = 						{t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
		["Quemadura de man\195\161"] = 				{t=3.0, icontex="Spell_Shadow_ManaBurn"};
		["Fuego Sagrado"] = 						{t=3.0, icontex="Spell_Holy_SearingLight"};
		["Calma mental"] = 							{t=1.5, icontex="Spell_Holy_MindSooth"};
		["Rezo de sanaci\195\179n"] = 				{t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
		["Encadenar no-muerto"] = 					{t=1.5, icontex="Spell_Nature_Slow"};
		["Desvanecerse"] = 							{t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
		["Renovar"] = 								{t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
		["Suprimir enfermedad"] = 					{t=20.0, cgain=true, icontex="Spell_Nature_NullifyDisease"}; -- gain
		["Rebote"] = 								{t=15.0, d=180, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
		["Inspiraci\195\179n"] = 					{t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
		["Infusi\195\179n de poder"] = 				{t=15.0, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
		["Lanzamiento enfocado"] = 					{t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
		["Palabra de poder: escudo"] = 				{t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"}; -- gain
		["Armadura de fe"] = 						{t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
		["Enfoque interno"] = 						{d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
		["Disipaci\195\179n en masa"] = 			{t=1.5, icontex="Spell_Arcane_MassDispel"};
		["Sanaci\195\179n conjunta"] = 				{t=1.5, icontex="Spell_Holy_BlindingHeal"};
		["Supresi\195\179n de dolor"] = 			{t=8, d=120, swarn=true, icontex="Spell_Holy_PainSupression"}; -- gain, Talent
		["Toque vamp\195\173rico"] = 				{t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent
		["Pozo de Luz"] = 							{t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
		["Rezo de alivio"] = {t=30, cgain=true, icontex="Spell_Holy_PrayerOfMendingtga"}; -- gain 2.0
		["Maligno de las Sombras"] = 						{t=15, d=300, icasted=true, special=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0
		["Castigar"] = {t=0.5, d=30, icontex="Spell_Holy_Chastise"}; --2.3
		
		-- Rogue
		--perform ["Desactivar trampa"] = 					{t=2.0, icontex="Spell_Shadow_GrimWard"};
		["Sprint"] = 								{t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
		--perform ["Forzar cerradura"] = 						{t=5.0, icontex="Spell_Nature_MoonKey"};
		["Evasi\195\179n"] = 						{t=15.0, swarn=true, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
		["Esfumarse"] = 							{t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
		["Aluvi\195\179n de acero"] = 				{t=15.0, d=120, icontex="Ability_Warrior_PunishingBlow"}; -- gain
		["Sangre fr\195\173a"] = 					{d=180, onfade=true, icontex="Spell_Ice_Lament"}; -- gain, Talent
		["Subid\195\179n de adrenalina"] = 			{t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent
		["Capa de las Sombras"] = 					{t=5, d=60, swarn=true, icontex="Spell_Shadow_NetherCloak"}; -- gain
		["Preparaci\195\179n"] = 					{d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent
		["Paso de las Sombras"] = 					{t=10, d=40, icontex="Ability_Rogue_Shadowstep"}; -- gain
		["Hacer picadillo"] = 				{t=21, special="getbuff", icontex="Ability_Rogue_SliceDice"}; -- gain
		["Premeditaci\195\179n"] = {t=10, special=true, icontex="Spell_Shadow_Possession"}; -- gain
		["Maestro de la sutileza"] = {t=6, swarn=true, icontex="Ability_Rogue_MasterOfSubtlety"}; -- gain

		
		-- Shaman
		["Ola de sanaci\195\179n inferior"] = 		{t=1.5, heal=true, icontex="Spell_Nature_HealingWaveLesser"};
		["Ola de sanaci\195\179n"] = 				{t=2.5, callspell={"Healing Way", 3, 12, 3}, heal=true, icontex="Spell_Nature_MagicImmunity"}; -- talent
		["Esp\195\173ritu ancestral"] = 			{t=10.0, icontex="Spell_Nature_Regenerate"};
		["Cadena de rel\195\161mpagos"] = 			{t=1.5, d=6.0, icontex="Spell_Nature_ChainLightning"}; -- Talent counted
		["Lobo fantasmal"] = 						{t=1.0, icontex="Spell_Nature_SpiritWolf"};
		["Regreso astral"] = 						{t=10.0, icontex="Spell_Nature_AstralRecal"};
		["Sanaci\195\179n en cadena"] = 			{t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
		["Descarga de rel\195\161mpagos"] = 		{t=2.0, icontex="Spell_Nature_Lightning"}; -- Talent counted
		["Visi\195\179n lejana"] = 					{t=2.0, icontex="Spell_Nature_FarSight"};
		["T\195\179tem Garra de piedra"] = 			{t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["T\195\179tem Marea de man\195\161"] = 	{t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"}; -- gain
		["T\195\179tem Nova de Fuego"] = 			{t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		["Entereza ancestral"] = 					{t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["Camino de sanaci\195\179n"] = 			{t=15.0, cgain=true, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
		["T\195\179tem derribador"] = 				{d=15.0, icasted=true, icontex="Spell_Nature_GroundingTotem"};
		["Maestr\195\173a elemental"] = 			{d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
		["Ira del cham\195\161n"] = 				{t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent
		["T\195\179tem Elemental de Fuego"] = 		{d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"};
		["T\195\179tem Elemental de Tierra"] = 		{d=1200, icasted=true, icontex="Spell_Nature_EarthElemental_Totem"};
		["Sanaci\195\179n ancestral"] = 			{t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["Hero\195\173smo"] = 						{t=40.0, d=600, cdclass="SHAMAN", icontex="Ability_Shaman_Heroism"}; -- gain
		["Ansia de sangre"] = {t=40.0, d=600, cdclass="SHAMAN", icontex="Spell_Nature_BloodLust"}; -- gain

		
		-- Warlock
		["Descarga de las Sombras"] = 				{t=2.5, icontex="Spell_Shadow_ShadowBolt"};
		["Inmolar"] = 								{t=1.5, icontex="Spell_Fire_Immolation"};
		["Fuego de alma"] =  						{t=4.0, d=60.0, icontex="Spell_Fire_Fireball02"};
		["Dolor abrasador"] =	  					{t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Invocar a diablillo"] =	  				{t=6.0, icontex="Spell_Shadow_Imp"};
		["Invocar a s\195\186cubo"] =	  			{t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
		["Invocar a abisario"] = 					{t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
		["Invocar a man\195\161fago"] = 			{t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
		["Miedo"] = 								{t=1.5, icontex="Spell_Shadow_Possession"};
		["Aullido de terror"] = 					{t=2.0, d=40.0, icontex="Spell_Shadow_DeathScream"};
		["Desterrar"] = 							{t=1.5, icontex="Spell_Shadow_Cripple"};
		["Ritual de invocaci\195\179n"] =			{t=5.0, icontex="Spell_Shadow_Twilight"};
		["Ritual de condena"] = 					{t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
		["Esclavizar demonio"] =	 				{t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
		["Inferno"] = 								{t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
		["Resguardo contra las Sombras"] = 			{t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Amplificar maldici\195\179n"] = 			{d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
		["Semilla de corrupci\195\179n"] = 			{t=2, icontex="Spell_Shadow_SeedOfDestruction"};
		["Ritual de almas"] = 						{t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"};
		["Incinerar"] = 							{t=2.5, icontex="Spell_Fire_FlameShock"};
		["Aflicci\195\179n inestable"] =			{t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"};
		["Furia de las Sombras"] = 					{t=0.5, d=20, icontex="Spell_Shadow_Shadowfury"};
		["Invocar a guardia vil"] = 				{t=6, icontex="Spell_Shadow_SummonFelGuard"};
		["Dominaci\195\179n vil"] = 				{d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent
		["Resurrecci\195\179n con piedra de alma"] ={t=3, d=1800, g=0, icontex="INV_Misc_Orb_04"};
		["Protecci\195\179n abisal"] = 				{t=4, swarn=true, icontex="Spell_Shadow_NetherProtection"}; -- gain, talent proc
		["Contragolpe"] = 							{t=8, swarn=true, icontex="Spell_Fire_PlayingWithFire"}; -- gain, talent proc


			-- Imp
			["Descarga de Fuego"] = 				{t=1.5, icontex="Spell_Fire_FireBolt"};
			
			-- Succubus
			["Seducci\195\179n"] = 					{t=1.5, icontex="Spell_Shadow_MindSteal"};
			["Beso calmante"] = 					{t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};
			
			-- Voidwalker
			["Consumir Sombras"] =	 				{t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		
		-- Warrior
		["Ira sangrienta"] = 						{t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
		["Sed de sangre"] =	 						{t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
		["Muro de escudo"] =	 					{t=10.0, d=1800.0, swarn=true, icontex="Ability_Warrior_ShieldWall"}; -- gain
		["Temeridad"] =	 							{t=15.0, d=1800.0, swarn=true, icontex="Ability_CriticalStrike"}; -- gain
		["Represalias"] = 							{t=15.0, d=1800.0, swarn=true, icontex="Ability_Warrior_Challange"}; -- gain
		["Ira rabiosa"] = 							{t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
		["\195\154ltima carga"] = 					{t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
		["Deseo de la Muerte"] = 					{t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
		-- ["Enfurecer"] = 							{t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
		["Bloquear con escudo"] = 					{t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
		["Reflejo de hechizos"] =	 				{t=5, d=10, swarn=true, icontex="Ability_Warrior_ShieldReflection"}; -- gain
		["Desenfreno"] = 							{t=30, special=true, icontex="Ability_Warrior_Rampage"}; -- gain
		["Man\195\173a sangrienta"] =				{t=6, icontex="Spell_Shadow_SummonImp"}; -- gain --2.0
		[" Segundo aliento"] = 						{t=10, icontex="Ability_Hunter_Harass"}; -- gain --2.0
		[NECB_Victory_Rush] = 						{t=20, icontex="Ability_Warrior_Devastate"}; --2.0 special

		
	}

end